summaryrefslogtreecommitdiff
path: root/st-copyout
diff options
context:
space:
mode:
authorrjl6789 <rob.livesey@gmail.com>2019-05-09 07:37:21 +0100
committerrjl6789 <rob.livesey@gmail.com>2019-05-09 07:37:21 +0100
commit9aa7f38187cf6ff15ec1a11fc83e8d43e1b1a6d5 (patch)
tree79889ddefc19e3ea2fc1c2374d9a54727e156435 /st-copyout
parente99aa29eefb43c1ea9f63c13d35bf45f7a90171b (diff)
parentda13ef12463d1870caed94584db464d68c6b3182 (diff)
Merge remote-tracking branch 'upstream/master'
Diffstat (limited to 'st-copyout')
-rwxr-xr-xst-copyout12
1 files changed, 12 insertions, 0 deletions
diff --git a/st-copyout b/st-copyout
new file mode 100755
index 0000000..e40fedd
--- /dev/null
+++ b/st-copyout
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Using external pipe with st, give a dmenu prompt of recent commands,
+# allowing the user to copy the output of one.
+# xclip required for this script.
+# By Jaywalker and Luke
+tmpfile=$(mktemp /tmp/st-cmd-output.XXXXXX)
+trap 'rm "$tmpfile"' 0 1 15
+sed -n "w $tmpfile"
+ps1="$(grep "\S" "$tmpfile" | tail -n 1 | cut -d' ' -f1)"
+chosen="$(grep -F "$ps1" "$tmpfile" | sed '$ d' | tac | dmenu -p "Copy which command's output?" -i -l 10 | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+eps1="$(echo "$ps1" | sed 's/[^^]/[&]/g; s/\^/\\^/g')"
+awk "/^$chosen$/{p=1;print;next} p&&/^$eps1/{p=0};p" "$tmpfile" | xclip -selection clipboard